Bug 1615164 - [abrt] python3-dnf: configure(): __init__.py:841:configure:dnf.cli.CliError: None
Summary: [abrt] python3-dnf: configure(): __init__.py:841:configure:dnf.cli.CliError: ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ea5e0c6f73f40783ae86725f68f...
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-12 21:21 UTC by Adriano de Souza Xavier
Modified: 2018-12-05 02:33 UTC (History)
6 users (show)

Fixed In Version: dnf-4.0.9-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-12-05 02:33:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: _var_log_dnf.log (546.20 KB, text/plain)
2018-08-12 21:21 UTC, Adriano de Souza Xavier
no flags Details
File: _var_tmp_dnf-mystery-mylw2s10_dnf.librepo.log (1.97 MB, text/plain)
2018-08-12 21:22 UTC, Adriano de Souza Xavier
no flags Details
File: _var_tmp_dnf-mystery-mylw2s10_dnf.log (155.49 KB, text/plain)
2018-08-12 21:22 UTC, Adriano de Souza Xavier
no flags Details
File: _var_tmp_dnf-mystery-mylw2s10_dnf.rpm.log (6.91 KB, text/plain)
2018-08-12 21:23 UTC, Adriano de Souza Xavier
no flags Details
File: _var_tmp_dnf-mystery-mylw2s10_hawkey.log (31.13 KB, text/plain)
2018-08-12 21:23 UTC, Adriano de Souza Xavier
no flags Details
File: backtrace (895 bytes, text/plain)
2018-08-12 21:23 UTC, Adriano de Souza Xavier
no flags Details
File: cgroup (331 bytes, text/plain)
2018-08-12 21:23 UTC, Adriano de Souza Xavier
no flags Details
File: cpuinfo (1.57 KB, text/plain)
2018-08-12 21:23 UTC, Adriano de Souza Xavier
no flags Details
File: dnf-makecache.log (79.34 KB, text/plain)
2018-08-12 21:23 UTC, Adriano de Souza Xavier
no flags Details
File: environ (3.83 KB, text/plain)
2018-08-12 21:23 UTC, Adriano de Souza Xavier
no flags Details
File: mountinfo (3.58 KB, text/plain)
2018-08-12 21:23 UTC, Adriano de Souza Xavier
no flags Details
File: namespaces (129 bytes, text/plain)
2018-08-12 21:23 UTC, Adriano de Souza Xavier
no flags Details
File: open_fds (490 bytes, text/plain)
2018-08-12 21:23 UTC, Adriano de Souza Xavier
no flags Details

Description Adriano de Souza Xavier 2018-08-12 21:21:38 UTC
Version-Release number of selected component:
python3-dnf-2.7.5-12.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/lib/python3.6/site-packages/dnf/cli/completion_helper.py history info fedora -d 0 -q -C
crash_function: configure
exception_type: dnf.cli.CliError
executable:     /usr/lib/python3.6/site-packages/dnf/cli/completion_helper.py
interpreter:    python3-3.6.6-1.fc28.x86_64
kernel:         4.18.0-0.rc0.git10.1.fc28.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__init__.py:841:configure:dnf.cli.CliError: None

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/cli/completion_helper.py", line 197, in <module>
    main(sys.argv[1:])
  File "/usr/lib/python3.6/site-packages/dnf/cli/completion_helper.py", line 189, in main
    cli.configure(args)
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 894, in configure
    self.command.configure()
  File "/usr/lib/python3.6/site-packages/dnf/cli/commands/__init__.py", line 841, in configure
    raise dnf.cli.CliError
dnf.cli.CliError: None

Local variables in innermost frame:
demands: <dnf.cli.demand.DemandSheet object at 0x7fbbb60b3550>
require_one_transaction_id_msg: "Found more than one transaction ID.\n'info' requires one transaction ID or package name."
require_one_transaction_id: False
self: <__main__.HistoryCompletionCommand object at 0x7fbbb60c4da0>

Comment 1 Adriano de Souza Xavier 2018-08-12 21:21:58 UTC
Created attachment 1475417 [details]
File: _var_log_dnf.log

Comment 2 Adriano de Souza Xavier 2018-08-12 21:22:51 UTC
Created attachment 1475418 [details]
File: _var_tmp_dnf-mystery-mylw2s10_dnf.librepo.log

Comment 3 Adriano de Souza Xavier 2018-08-12 21:22:59 UTC
Created attachment 1475419 [details]
File: _var_tmp_dnf-mystery-mylw2s10_dnf.log

Comment 4 Adriano de Souza Xavier 2018-08-12 21:23:01 UTC
Created attachment 1475420 [details]
File: _var_tmp_dnf-mystery-mylw2s10_dnf.rpm.log

Comment 5 Adriano de Souza Xavier 2018-08-12 21:23:03 UTC
Created attachment 1475421 [details]
File: _var_tmp_dnf-mystery-mylw2s10_hawkey.log

Comment 6 Adriano de Souza Xavier 2018-08-12 21:23:06 UTC
Created attachment 1475422 [details]
File: backtrace

Comment 7 Adriano de Souza Xavier 2018-08-12 21:23:07 UTC
Created attachment 1475423 [details]
File: cgroup

Comment 8 Adriano de Souza Xavier 2018-08-12 21:23:09 UTC
Created attachment 1475424 [details]
File: cpuinfo

Comment 9 Adriano de Souza Xavier 2018-08-12 21:23:13 UTC
Created attachment 1475425 [details]
File: dnf-makecache.log

Comment 10 Adriano de Souza Xavier 2018-08-12 21:23:14 UTC
Created attachment 1475426 [details]
File: environ

Comment 11 Adriano de Souza Xavier 2018-08-12 21:23:16 UTC
Created attachment 1475427 [details]
File: mountinfo

Comment 12 Adriano de Souza Xavier 2018-08-12 21:23:18 UTC
Created attachment 1475428 [details]
File: namespaces

Comment 13 Adriano de Souza Xavier 2018-08-12 21:23:19 UTC
Created attachment 1475429 [details]
File: open_fds

Comment 14 Jaroslav Mracek 2018-10-05 20:36:22 UTC
I created a patch to enhance errors (https://github.com/rpm-software-management/dnf/pull/1237).

Comment 15 Fedora Update System 2018-11-22 18:56:35 UTC
libdnf-0.22.3-1.fc29 dnf-4.0.9-1.fc29 dnf-plugins-core-4.0.2-1.fc29 dnf-plugins-extras-4.0.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-17cbc3c616

Comment 16 Fedora Update System 2018-11-23 02:56:10 UTC
dnf-4.0.9-1.fc29, dnf-plugins-core-4.0.2-1.fc29, dnf-plugins-extras-4.0.0-1.fc29, libdnf-0.22.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-17cbc3c616

Comment 17 Fedora Update System 2018-12-05 02:33:09 UTC
dnf-4.0.9-1.fc29, dnf-plugins-core-4.0.2-1.fc29, dnf-plugins-extras-4.0.0-1.fc29, libdnf-0.22.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.